- Classes
- Namespaces
- Interfaces
- Index

PHP-FFMpeg API
Interface

# FFMpeg\Format\Audio\Resamplable

interface Resamplable implements Audio

The resamplable audio interface

This provide a method to define the AudiosampleRate

## Methods

integer | getKiloBitrate() Get the kiloBitrate value | from Audio
string | getExtraParams() Give som extra parameters to add to ffmpeg commandline Parameters MUST be escaped | from Audio
integer | getAudioSampleRate() Get the audio sample rate |

## Details

###
in Audio at line 27
`public integer getKiloBitrate()`

Get the kiloBitrate value

#### Return Value

integer |

###
in Audio at line 35
`public string getExtraParams()`

Give som extra parameters to add to ffmpeg commandline Parameters MUST be escaped

#### Return Value

string |

###
at line 31
`public integer getAudioSampleRate()`

Get the audio sample rate

#### Return Value

integer |